#pragma once

#include <maps/wikimap/mapspro/services/mrc/libs/config/include/config.h>

#include <library/cpp/yson/node/node.h>

#include <memory>

namespace maps::mrc::yt {

NYT::TNode createSecureVault(const common::Config& config);

class Configured {

    using ConfigPtr = std::unique_ptr<common::Config>;

public:
    Configured();

    static ConfigPtr createConfig();

    const common::Config& config() const;

private:
    ConfigPtr config_;
};

} // namespaec maps:mrc::yt